LibreOffice LibreOffice 5.3 SDK API Reference

List of all members
MasterScriptProviderFactory Service Reference

This service is used to create MasterScriptProviders. More...

`import"MasterScriptProviderFactory.idl";`

Inheritance diagram for MasterScriptProviderFactory:

## Additional Inherited Members
Public Member Functions inherited from XScriptProviderFactory
XScriptProvider | createScriptProvider ([in] any Context) raises ( ::com::sun::star::lang::IllegalArgumentException )
| a factory method for the creation of XScriptProviders implementations. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This service is used to create MasterScriptProviders.

Note: You shouldn't ever instantiate the MasterScriptProvider service directly, you should always use this service.

Deprecated:
  rather use the singleton service theMasterScriptProviderFactory

The documentation for this service was generated from the following file:

- com/sun/star/script/provider/MasterScriptProviderFactory.idl